Last modified: 2014-10-17 03:17:11 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 43120 - Create a VisualEditor plugin tool to add/edit Poem blocks
Create a VisualEditor plugin tool to add/edit Poem blocks
Status: NEW
Product: MediaWiki extensions
Classification: Unclassified
Poem (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
https://en.wikipedia.org/wiki/User:Ra...
:
Depends on:
Blocks: ve-plugins-to-create
  Show dependency treegraph
 
Reported: 2012-12-14 10:10 UTC by Raimond Spekking
Modified: 2014-10-17 03:17 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Raimond Spekking 2012-12-14 10:10:01 UTC
<poem>....</poem> is unparsed but shown as plain wikitext:
https://en.wikipedia.org/wiki/User:Raymond/poem
Comment 1 This, that and the other (TTO) 2014-01-12 10:16:19 UTC
This is not a bug/enhancement in the Poem extension itself, so I'm punting back to VisualEditor.

If I've got this wrong, please don't move the bug back to Poem, as this component is hopefully going to be removed soon.
Comment 2 James Forrester 2014-01-12 23:05:07 UTC
(In reply to comment #1)
> This is not a bug/enhancement in the Poem extension itself,

False. The Poem extension fails to register a VisualEditor enhanced editor for itself. This is a problem with that extension. See also bug 43115, bug 43118, bug 43127, etc.

> so I'm punting back to VisualEditor.

Why? It's not VisualEditor's problem that an extension hasn't been updated yet…

> If I've got this wrong, please don't move the bug back to Poem, as this
> component is hopefully going to be removed soon.

Please justify this.

All MW extensions that are deployed on the WMF cluster (and many that aren't) have a Bugzilla component, by policy. Are you saying that:

 (a) you want us to remove this extension from the cluster,
 (b) you want us to merge this extension into MW core, or
 (c) you want us to break our existing policy for this extension?
Comment 3 This, that and the other (TTO) 2014-01-13 00:21:42 UTC
(a) and (b), I guess. See bug 52061. I was going through a list of bugs in the Poem component, since they will all need to be moved once the change is merged (hoping it *is* merged, of course). Sorry if I'm getting too far ahead of myself, but this bug did seem like an odd one out, so I moved it out here.

(In reply to comment #2)
> > so I'm punting back to VisualEditor.
> 
> Why? It's not VisualEditor's problem that an extension hasn't been updated
> yet…

Well, if Poem is to become a MediaWiki core feature, then it will turn into something for the VE team to worry about.

Also, if I may point it out, the WikiHiero extension is seemingly supported in VisualEditor core. The extension itself knows nothing about VE. is that an anomaly?
Comment 4 James Forrester 2014-01-13 00:30:42 UTC
(In reply to comment #3)
> (a) and (b), I guess. See bug 52061. I was going through a list of bugs in
> the Poem component, since they will all need to be moved once the change
> is merged (hoping it *is* merged, of course). Sorry if I'm getting too far
> ahead of myself, but this bug did seem like an odd one out, so I moved it
> out here.

Moving back to Poem, then. The bug can be moved the MediaWiki/editing or whatever later, when bug 52061 is closed-fixed.

> (In reply to comment #2)
> > > so I'm punting back to VisualEditor.
> > 
> > Why? It's not VisualEditor's problem that an extension hasn't been updated
> > yet…
> 
> Well, if Poem is to become a MediaWiki core feature, then it will turn into
> something for the VE team to worry about.

No, not really. It'll remain the responsibility of some code's maintainer, whoever that is (you?). In the absence of an obvious maintainer, that's the "Platform team", which sucks, but is rather outwith this bug report.

The VE team build VE and some of the MW-specific VE tools. We're not going to make an editor for EasyTimeline, and we're not going to make one for Poem, for the same reason. :-)

> Also, if I may point it out, the WikiHiero extension is seemingly supported
> in VisualEditor core. The extension itself knows nothing about VE. is that
> an anomaly?

Yes; the code's yet to be moved into that repo. Give me a spare 10 minutes. :-)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links